Qt 5.7 | Qt 3D | QML Types | PickTriangleEvent QML Type

Qt 5.7.1 Reference Documentation

# PickTriangleEvent QML Type

PickTriangleEvent holds information when a triangle is picked. More...

Import Statement: | import Qt3D.Render 2.0
Instantiates: | QPickTriangleEvent

- List of all members, including inherited members

## Properties

- triangleIndex : uint
- vertex1Index : uint
- vertex2Index : uint
- vertex3Index : uint

## Detailed Description

See also ObjectPicker and PickSettings.

## Property Documentation

triangleIndex : uint

Specifies the triangle index of the event

vertex1Index : uint

Specifies the vertex 1 index of the event

vertex2Index : uint

Specifies the vertex 2 index of the event

vertex3Index : uint

Specifies the vertex 3 index of the event